%define pypi_name pysnmp
%define with_python3 1

Name:           python-pysnmp
Version:        7.1.15
Release:        %mkrel 3
Group:          Development/Python
Summary:        A pure-Python SNMPv1/v2c/v3 library

License:        BSD
URL:            https://github.com/lextudio/pysnmp
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
Requires:       net-snmp

%description
SNMP v1/v2c/v3 engine and apps written in pure-Python. Supports
Manager/Agent/Proxy roles, scriptable MIBs, asynchronous operation and multiple
transports. More info at https://pysnmp.sourceforge.net/

%package -n     python3-%{pypi_name}
Summary:        A pure-Python SNMPv1/v2c/v3 library
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       net-snmp

%description -n python3-%{pypi_name}
SNMP v1/v2c/v3 engine and apps written in pure-Python. Supports
Manager/Agent/Proxy roles, scriptable MIBs, asynchronous operation and multiple
transports. More info at https://pysnmp.sourceforge.net/


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pysnmp

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc  LICENSE.rst README.md  docs/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 7.1.15-3.mga10
+ Revision: 2240370
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 7.1.15-2.mga10
+ Revision: 2157388
- rebuild for python3.13

* Mon Dec 23 2024 papoteur <papoteur> 7.1.15-1.mga10
+ Revision: 2129562
- new version 7.1.15
- change URL
- adapt to pyproject

* Mon Dec 18 2023 papoteur <papoteur> 4.4.8-7.mga10
+ Revision: 2018951
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 4.4.8-6.mga9
+ Revision: 1822795
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 4.4.8-5.mga9
+ Revision: 1775462
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.4.8-4.mga9
+ Revision: 1732722
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.4.8-3.mga8
+ Revision: 1535602
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 4.4.8-2.mga8
+ Revision: 1452571
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 4.4.8-1.mga7
+ Revision: 1354005
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.2.5-8.mga7
+ Revision: 1289800
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 4.2.5-7.mga7
+ Revision: 1135584
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 4.2.5-6.mga6
+ Revision: 970543
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 4.2.5-5.mga6
+ Revision: 887127
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 4.2.5-4.mga5
+ Revision: 743886
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.2.5-3.mga5
+ Revision: 729572
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.2.5-2.mga5
+ Revision: 688280
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 philippem <philippem> 4.2.5-1.mga5
+ Revision: 638158
- imported package python-pysnmp

